Subject: Re: linux-next: manual merge of the rcu tree with the powerpc-fixes tree

From: Michael Ellerman <[email-masked]>
Date: Mon, 30 Jan 2017 15:00:02 +1100

Stephen Rothwell <[email-masked]> writes:

> Hi Paul,
>
> Today's linux-next merge of the rcu tree got a conflict in:
>
>   arch/powerpc/Kconfig
>
> between commit:
>
>   f2574030b0e3 ("powerpc: Revert the initial stack protector support")
>
> from the powerpc-fixes tree and commit:
>
>   c7327406b3c3 ("rcu: Make arch select smp_mb__after_unlock_lock() strength")
>
> from the rcu tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks.

One of these years I'm totally going to sort the selects under config
PPC :/

cheers